GET /dataset/{dataset}/{version}/assets

globalforestwatch.org:global-forest-watch-api

Summary: Get Version Assets
Operation ID: get_version_assets_dataset__dataset___version__assets_get
Auth: api_key
Description

Get all assets for a given dataset version (including pending/failed assets). The list of assets is sorted by the creation time of each asset. Will attempt to paginate if `page[size]` or `page[number]` is provided. Otherwise, it will attempt to return the entire list of assets in the response.

Parameters (8)

asset_type (?, query, optional)
asset_uri (string, query, optional)
dataset (string, path, required)

Constraints: {'pattern': '^[a-z][a-z0-9_-]{2,}$'}

is_default (boolean, query, optional)
is_latest (boolean, query, optional)
page[number] (integer, query, optional)

The page number.

Constraints: {'minimum': 1.0}

page[size] (integer, query, optional)

The number of assets per page. Default is `10`.

Constraints: {'minimum': 1.0}

version (string, path, required)

Constraints: {'pattern': '^v\\d{1,8}(\\.\\d{1,3}){0,2}?$|^latest$'}

No probe data for this endpoint yet.